Avatar of badabing1
badabing1
 asked on

PS 4.0 upgrade to PS 4.5??

Hi All,

questions-

1- is it possible to do in place upgrade from PS- 4.0 to PS- 4.5?
2.- is it possible to do in place upgrade from WI 4.2 to 4.5?

Current setup-

CAG 4.5.6 standard
1x PS 4.0 (this hasn't had any updates (hotfixes etc) for the last 3 years or so..)
WI 4.2

Also - whats the minimum requirements for IPAD 2 to work with Citrix?

much appreciated!

Thanks
Citrix

Avatar of undefined
Last Comment
badabing1

8/22/2022 - Mon
ASKER CERTIFIED SOLUTION
Carl Webster

Log in or sign up to see answer
Become an EE member today7-DAY FREE TRIAL
Members can start a 7-Day Free trial then enjoy unlimited access to the platform
Sign up - Free for 7 days
or
Learn why we charge membership fees
We get it - no one likes a content blocker. Take one extra minute and find out why we block content.
Not exactly the question you had in mind?
Sign up for an EE membership and get your own personalized solution. With an EE membership, you can ask unlimited troubleshooting, research, or opinion questions.
ask a question
badabing1

ASKER
Thanks Carl-

can you confirm, the server is a virtual machine, can i take a snapshot? and where is webinterface.conf file located-can i not take a backup of the sites for WI from within?

also- as i said the PS 4.0 hasn't been updated or had any sps applied for the last three years or so...will that cause any problems doing an in place upgrade? i take it rest of the servers i.e licensing etc will continue to work after an upgrade? just making sure i have covered everything....

cheers
SOLUTION
Carl Webster

Log in or sign up to see answer
Become an EE member today7-DAY FREE TRIAL
Members can start a 7-Day Free trial then enjoy unlimited access to the platform
Sign up - Free for 7 days
or
Learn why we charge membership fees
We get it - no one likes a content blocker. Take one extra minute and find out why we block content.
Not exactly the question you had in mind?
Sign up for an EE membership and get your own personalized solution. With an EE membership, you can ask unlimited troubleshooting, research, or opinion questions.
ask a question
badabing1

ASKER
whats a SA date?
Carl Webster

Software Assurance.  If you bought a license with SA today and it had a 2-year SA window, then you have the leagal right to install and use any product upgrades released by the expiration of your SA date.

Today is October 5, 2011.  If Citrix were to release XenApp 7.5 on October 4, 2013 (according to my example purchase above), I would have the right to download, install and use XenApp 7.5 forever (unless Citrix starts timing out their software).

If Citrix were to release XenApp 7.5 on October 6, 2013 (according to my example purchase above), I would NOT have the right to download, install and use XenApp 7.5 forever.  I could install it, but when the server is restarted after the install, it will refuse to obtain a license because the products built-in SA date is AFTER your SA expiration date.

Clear as mud?
Your help has saved me hundreds of hours of internet surfing.
fblack61
Carl Webster

Oh, I should have said, I am NOT a license expert for Citrix product purchases but the above answer is my understanding of SA.
Carl Webster

My bad, it is Subscription Advantage, not Software Assurance.  Software Assurance is Microsoft.

Check here:

http://www.citrix.com/support/Customer-Service?tab=2#TabbedPanels1
badabing1

ASKER
ok, thanks carl,

just another thought, can i not do in place upgrade direct to xenapp 5.0 from 4.0? and also will rest of the  components carry on working after the upgrade - e.g likes of CAG 4.5.6 or will i need that upgrading?

sorry for so many questions.. :)
Get an unlimited membership to EE for less than $4 a week.
Unlimited question asking, solutions, articles and more.
Carl Webster

Ps4.5 is essentially the same thing as xenapp 5 for server 2003.

I am not a CAG person so I cant answer that question.
badabing1

ASKER
one last question carl,

when you said take a backup of this file, do i copy this back to the same path after upgrade to the latest ver of WI

"c:\inetpub\wwwroot\citrix\xenapp\conf\webinterface.conf"

Thanks

Carl Webster

I usually copy the webinterface.conf to a folder, install the new version of WI, copy my old webinterface.conf back and then start WI.  Never had a problem with doing this.
All of life is about relationships, and EE has made a viirtual community a real community. It lifts everyone's boat
William Peck
Carl Webster

badabing1

ASKER
Thanks,

do you know the download for the latest client for ica for WI 5 please?

Thanks
Carl Webster

www.mycitrix.com
logon
Click downloads
select Web Interface from the drop down list
Get an unlimited membership to EE for less than $4 a week.
Unlimited question asking, solutions, articles and more.
badabing1

ASKER
Thanks Carl,

ive done most but i just need you to help/clarify for me a couple of points before i close this ticket as answered, hope you dont mind..

i have installed ps 4.5 - do i now need to install feature pack 3 to make it as xenapp 5?

also- when i depoly client via WI i get the error below- i have checked permissions on the WI folder as per an article-


You are not authorized to view this page
You do not have permission to view this directory or page due to the access control list (ACL) that is configured for this resource on the Web server.
--------------------------------------------------------------------------------

Please try the following:

Contact the Web site administrator if you believe you should be able to view this directory or page.
Click the Refresh button to try again with different credentials.
HTTP Error 401.3 - Unauthorized: Access is denied due to an ACL set on the requested resource.
Internet Information Services (IIS)

--------------------------------------------------------------------------------

Technical Information (for support personnel)

Go to Microsoft Product Support Services and perform a title search for the words HTTP and 401.
Open IIS Help, which is accessible in IIS Manager (inetmgr), and search for topics titled About Security, Access Control, and About Custom Error Messages.
 
Carl Webster

You can either install the FP3 stuff or even better, IMO, install the latest updates to everything.

Web Interface is now 5.4
CSG is now 3.3.1
There are updates to the Delivery Services Console
HRP7 is out
Version 12.x clients or Version 3 of the Receiver (which is actually Version 13 of the clients)

Version 13 of the clients is a multi-threaded client and is way cool.
badabing1

ASKER
Thansk for the reply Carl,

i have already updated WI to 5.4 - the above error is related to that? any ideas?
I use CAG 4.5.6 Standard - is there an update to this?
delivery services console??
HRP7 - what is this please can you elaborate on this?
Version 13 - is this used for IPAD and WI and the likes?

Installing FP3 is this just straight forward or are there any pre-requisites to this?

sorry about the additional questions... :)
I started with Experts Exchange in 2004 and it's been a mainstay of my professional computing life since. It helped me launch a career as a programmer / Oracle data analyst
William Peck
Carl Webster

Delivery Services COnsole is the replacement for the Access Management Console.  Same console, different name.

I am not a CAG person.

Hotfix Rollup Package 7.

Version 11.1, 12.x and 13 can all be used.  iPad has its own client.
badabing1

ASKER
so should i not install FP3 then, shall i just download HRP7 and install that?

is this what you are saying?

Thanks
Carl Webster

FP3 is just a collection of updates.  You can install all the updates that you need from the FP3 download and then install the current updates.  Or just install all the current updates to what you use.  i.e. if you don't use Password Manager, there is no need to install the update for it and its update to the DSC.
Get an unlimited membership to EE for less than $4 a week.
Unlimited question asking, solutions, articles and more.
Carl Webster

Oh, HRP7 has nothing to do with FP3.  HRP7 is just the latest rollup of hotfixes for PS4.5/XenApp 5.
badabing1

ASKER
ok, once iv'e installed FP3 how do i install current updates- is there an easy way of knowing what to install- i checked on my citrix - it looks so confusing!

promise, this is going to be the last question - i will then close and im then going to open another for Citrix Reciever issue that im currently experiencing..

Thanks
Carl Webster

Sorry to say but Citrix has no easy way of finding out what updates you need. :(

You have to go to support.citrix.com and www.mycitrix.com to find the latest updates.  What I do is go to support.citrix.com, login with my mycitrix.com account, go to a product section and then in the upper right click on the link to get notices.  That way you get an e-mail when an update comes out.  But you have to do this for each product.  i.e. Web Interface, CSG, XA5, etc.
Experts Exchange is like having an extremely knowledgeable team sitting and waiting for your call. Couldn't do my job half as well as I do without it!
James Murphy
badabing1

ASKER
Ok thankyou for all your help!

much appreciated!
badabing1

ASKER
Thank you for all your help.